Name:		facter
Version:	4.5.0
Release:	%mkrel 2
Summary:	Ruby module for collecting simple facts about a host operating system
License:	ASL 2.0
Group:		System/Libraries
URL:		https://www.puppetlabs.com/puppet/related-projects/facter/
Source0:	https://github.com/puppetlabs/facter/archive/refs/tags/%{version}.tar.gz
Requires:	ruby
Requires:	dmidecode
Requires:	lsb-release
# needed for host, in facter/ipaddress.rb
Requires:	bind-utils
Requires:	rubygem(hocon)
BuildArch:	noarch
BuildRequires:	pkgconfig(ruby)
BuildRequires:	ruby(rubygems)
BuildRequires:	python3dist(docutils)


%description 
Ruby module for collecting simple facts about a host Operating
system. Some of the facts are preconfigured, such as the hostname and the
operating system. Additional facts can be added through simple Ruby scripts

%prep
%setup -q

%build
# Use /usr/bin/ruby directly instead of /usr/bin/env ruby in
#+ executables. Otherwise, initscripts break since pidof can't
#+ find the right process
%{__sed} -i -e 's@^#!.*$@#! /usr/bin/ruby@' bin/facter

%install
ruby install.rb  --sitelibdir=%{ruby_vendorlibdir} --destdir=%{buildroot}

%files
%doc LICENSE CONTRIBUTING.md
%{_bindir}/facter
%{_mandir}/man8/facter.8*
%{ruby_vendorlibdir}/facter.rb
%{ruby_vendorlibdir}/%{name}
%{ruby_vendorlibdir}/docs/generate.rb
%{ruby_vendorlibdir}/docs/generate_cli.rb



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.5.0-2.mga10
+ Revision: 2227157
- Mageia 10 Mass Rebuild

* Tue Aug 27 2024 neoclust <neoclust> 4.5.0-1.mga10
+ Revision: 2091641
- New version 4.5.0

* Mon May 08 2023 papoteur <papoteur> 4.2.14-2.mga9
+ Revision: 1956236
- add rubygem(hocon) dependency

* Tue Mar 14 2023 papoteur <papoteur> 4.2.14-1.mga9
+ Revision: 1948966
- new 4.2.14
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.4.6-5.mga8
+ Revision: 1522582
- Mageia 8 Mass Rebuild

* Sat Jan 26 2019 guillomovitch <guillomovitch> 2.4.6-4.mga7
+ Revision: 1361080
- explicit dependency on ruby

* Thu Sep 20 2018 umeabot <umeabot> 2.4.6-3.mga7
+ Revision: 1278216
- Mageia 7 Mass Rebuild

* Mon Aug 21 2017 guillomovitch <guillomovitch> 2.4.6-2.mga7
+ Revision: 1142671
- rebuild for latest ruby, using canonical install procedure

* Fri Apr 15 2016 shlomif <shlomif> 2.4.6-1.mga6
+ Revision: 1002704
- New version 2.4.6

* Fri Feb 19 2016 umeabot <umeabot> 2.4.4-2.mga6
+ Revision: 969537
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 ycantin <ycantin> 2.4.4-1.mga6
+ Revision: 868419
- new version 2.4.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 747755
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 679079
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 solbu <solbu> 2.2.0-1.mga5
+ Revision: 672993
- New version

* Mon Jun 30 2014 solbu <solbu> 2.1.0-1.mga5
+ Revision: 641493
- New version
- Drop P0, merged upstream

* Sun Feb 16 2014 dams <dams> 1.7.4-1.mga5
+ Revision: 592502
- new version 1.7.4

* Tue Oct 22 2013 umeabot <umeabot> 1.7.3-2.mga4
+ Revision: 541423
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 solbu <solbu> 1.7.3-1.mga4
+ Revision: 495880
- New version

* Tue Aug 20 2013 guillomovitch <guillomovitch> 1.7.2-1.mga4
+ Revision: 468119
- new version

* Sun May 26 2013 guillomovitch <guillomovitch> 1.7.1-1.mga4
+ Revision: 428003
- new version

* Fri Jan 11 2013 umeabot <umeabot> 1.6.17-2.mga3
+ Revision: 350026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 solbu <solbu> 1.6.17-1.mga3
+ Revision: 337715
- New version
- Fix mga#5120 (wrong operating system detection)

* Wed Dec 19 2012 solbu <solbu> 1.6.16-1.mga3
+ Revision: 332868
- New version
- Fix License tag

* Sun Dec 02 2012 solbu <solbu> 1.6.15-1.mga3
+ Revision: 325610
- New version

* Wed Nov 07 2012 solbu <solbu> 1.6.14-1.mga3
+ Revision: 315482
- New version

* Mon Aug 13 2012 guillomovitch <guillomovitch> 1.6.11-1.mga3
+ Revision: 281059
- new version

* Thu Jul 12 2012 solbu <solbu> 1.6.10-1.mga3
+ Revision: 269749
- Drop INSTALL file
- Fix mixed-use-of-spaces-and-tabs
+ guillomovitch <guillomovitch>
- new version

* Sat Feb 25 2012 misc <misc> 1.6.6-1.mga2
+ Revision: 214725
- new version 1.6.6
- License changed upstream
- fix %%doc
- remove comment that generate rpmlint warning
- new version

* Mon Jun 27 2011 misc <misc> 1.5.9-1.mga2
+ Revision: 114261
- new version 1.5.9

* Mon Jan 24 2011 misc <misc> 1.5.8-2.mga1
+ Revision: 35789
- fix License
- fix url
- fix requires on ruby that is already computed by rpm
- imported package facter


* Sun Nov 21 2010 Michael Scherer <misc@mandriva.org> 1.5.8-2mdv2011.0
+ Revision: 599427
- fix missing Requires

* Sat Sep 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.8-1mdv2011.0
+ Revision: 579558
- update to new version 1.5.8

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.7-1mdv2010.0
+ Revision: 449586
- update to new version 1.5.7

* Tue Jun 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.6-1mdv2010.0
+ Revision: 391101
- Update to new version 1.5.6

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 1.5-1mdv2009.0
+ Revision: 245281
- New version 1.5
- drop patch100, merged upstream

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.8-3mdv2009.0
+ Revision: 245020
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 1.3.8-1mdv2008.1
+ Revision: 103817
- BR ruby
- import facter


* Thu Oct 30 2007 roudoud0u <roudoud0u@free.fr> - 1.3.8-1
- Initial Mandriva rpm package (based on David Lutterkort spec file)

* Thu Mar 29 2007 David Lutterkort <dlutter@redhat.com> - 1.3.7-1
- New version

* Fri Jan 19 2007 David Lutterkort <dlutter@redhat.com> - 1.3.6-1
- New version

* Thu Jan 18 2007 David Lutterkort <dlutter@redhat.com> - 1.3.5-3
- require which; facter is very unhappy without it

* Mon Nov 20 2006 David Lutterkort <dlutter@redhat.com> - 1.3.5-2
- Make require ruby(abi) and buildarch: noarch conditional for fedora 5 or
  later to allow building on older fedora releases

* Tue Oct 10 2006 David Lutterkort <dlutter@redhat.com> - 1.3.5-1
- New version

* Tue Sep 26 2006 David Lutterkort <dlutter@redhat.com> - 1.3.4-1
- New version

* Wed Sep 13 2006 David Lutterkort <dlutter@redhat.com> - 1.3.3-2
- Rebuilt for FC6

* Wed Jun 28 2006 David Lutterkort <dlutter@redhat.com> - 1.3.3-1
- Rebuilt

* Fri Jun 19 2006 Luke Kanies <luke@madstop.com> - 1.3.0-1
- Fixed spec file to work again with the extra memory and processor files.
- Require ruby(abi). Build as noarch

* Fri Jun 9 2006 Luke Kanies <luke@madstop.com> - 1.3.0-1
- Added memory.rb and processor.rb

* Mon Apr 17 2006 David Lutterkort <dlutter@redhat.com> - 1.1.4-4
- Rebuilt with changed upstream tarball

* Tue Mar 21 2006 David Lutterkort <dlutter@redhat.com> - 1.1.4-3
- Do not rely on install.rb, it will be deleted upstream

* Mon Mar 13 2006 David Lutterkort <dlutter@redhat.com> - 1.1.4-2
- Commented out noarch; requires fix for bz184199

* Mon Mar  6 2006 David Lutterkort <dlutter@redhat.com> - 1.1.4-1
- Removed unused macros

* Mon Feb  6 2006 David Lutterkort <dlutter@redhat.com> - 1.1.1-2
- Fix BuildRoot. Add dist to release tag

* Wed Jan 11 2006 David Lutterkort <dlutter@redhat.com> - 1.1.1-1
- Initial build.
